Bug 214872 - (Ri-li) Review Request: Ri-li - Arcade game where you drive a toy wood engine
Review Request: Ri-li - Arcade game where you drive a toy wood engine
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-09 15:14 EST by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-14 02:34:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-11-09 15:14:47 EST
Spec URL: http://people.atrpms.net/~hdegoede/Ri-li.spec
SRPM URL: http://people.atrpms.net/~hdegoede/Ri-li-2.0.0-1.fc7.src.rpm
Description:
You drive a toy wood engine in many levels and you must collect all the coaches
to win. Full-featured: 18 languages, Colorful animated wood engine, 50 levels,
3 beautiful music tracks and many sound effects.
Comment 1 Christopher Stone 2006-11-13 21:26:59 EST
==== REVIEW CHECKLIST ====
- rpmlint output clean
- package named according to package naming guidelines
- spec filename matches %{name}
- package meets packaging guidelines
- package licensed with open source compatible license
- license matches actual license
- license file included in %doc
- spec written in American english
- spec legible
- sources match upstream
e6dfa35616f5c84eb14ff82517cea796  Ri-li-2.0.0.tar.bz2
- package successfully compiles and builds on FC6 x86_64
- all build dependencies are listed in BR
- package does not use locales
- no shared libraries
- package is not relocatable
- package owns all directories it creates
- no duplicates in %files
- file permissions set properly
- contains proper %clean
- macro usage consistent
- contains code
- no large documentation files
- %doc does not affect runtime
- no header files or static libraries
- no pkgconfig files
- no need for devel subpackage
- no .la files
- contains proper .desktop file
- package does not own files or directories owned by other packages

APPROVED

==== SHOULD ====
- Remove SDL-devel from BR, SDL_Mixer-devel should pick it up
Comment 2 Hans de Goede 2006-11-14 02:34:17 EST
(In reply to comment #1)
> 
> ==== SHOULD ====
> - Remove SDL-devel from BR, SDL_Mixer-devel should pick it up
> 

Done.

Thanks for the review, imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.